#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.5'
__CHEETAH_versionTuple__ = (3, 2, 5, 'final', 0)
__CHEETAH_genTime__ = 1607299981.4301755
__CHEETAH_genTimestamp__ = 'Mon Dec  7 00:13:01 2020'
__CHEETAH_src__ = '/home/oe1/atv65arm/build-enviroment/builds/openatv/release/h9se/tmp/work/cortexa15hf-neon-vfpv4-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1.3.9+gitAUTOINC+5865926c6c-r0/git/plugin/controllers/views/responsive/ajax/at.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Dec  7 00:12:21 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class at(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(at, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_19499463 = _filter
        filterName = 'WebSafe'
        if "WebSafe" in self._CHEETAH__filters:
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''
<style>
.choices__list--dropdown .choices__item {display:flex;justify-content:space-between;}
.choices__list--dropdown .choices__item--selectable {padding-right: 10px;}
</style>

<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-8 col-md-9">
\t\t\t\t\t<h2 id="configtitle"><i class="material-icons material-icons-centered">av_timer</i>''')
        _v = VFFSL(SL,"tstrings",True)['at_at_edit'] # "$tstrings['at_at_edit']" on line 15, col 89
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_at_edit']")) # from line 15, col 89.
        write(''' <span id=\'at_name\'></span></h2>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-12 hidden-sm hidden-md hidden-lg hidden-xl">
\t\t\t\t\t<div class="row vti-vspace-20"></div>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-12 col-sm-4 col-md-3">
\t\t\t\t\t<select id="atlist" class="form-control no-default-select"></select>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t<div class="body atbody">
\t\t\t<div id="content_main">
\t\t\t\t<div id="info">
\t\t\t\t\t<div class="row align-center clearfix">
\t\t\t\t\t\t<button type="button" onclick="addAT(); return false;" class="btn btn-themed waves-effect"><i class="material-icons">add</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_new'] # "$tstrings['at_new']" on line 29, col 137
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_new']")) # from line 29, col 137.
        write('''</span></button>
\t\t\t\t\t\t<button type="button" onclick="delAT(); return false;" class="btn btn-themed waves-effect"><i class="material-icons">delete</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_del'] # "$tstrings['at_del']" on line 30, col 140
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_del']")) # from line 30, col 140.
        write('''</span></button>
\t\t\t\t\t\t<button type="button" onclick="parseAT(); return false;" class="btn btn-themed waves-effect"><i class="material-icons">code</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_process'] # "$tstrings['at_process']" on line 31, col 140
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_process']")) # from line 31, col 140.
        write('''</span></span></button>
\t\t\t\t\t\t<button type="button" onclick="test_simulateAT(true); return false;" class="btn btn-themed waves-effect" data-toggle="modal" data-target="#ATTimerModal"><i class="material-icons">view_list</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_simulate'] # "$tstrings['at_simulate']" on line 32, col 205
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_simulate']")) # from line 32, col 205.
        write('''</span></button>
\t\t\t\t\t\t<button type="button" onclick="test_simulateAT(false); return false;" class="btn btn-themed waves-effect" data-toggle="modal" data-target="#ATTimerModal"><i class="material-icons">extension</i><span>Test</span></button>
\t\t\t\t\t\t<button type="button" onclick="listTimers(); return false;" class="btn btn-themed waves-effect" data-toggle="modal" data-target="#ATTimerList"><i class="material-icons">alarm</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_timers'] # "$tstrings['at_timers']" on line 34, col 191
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_timers']")) # from line 34, col 191.
        write('''</span></button>
\t\t\t\t\t\t<button type="button" onclick="getAutoTimerSettings(); return false;" data-toggle="modal" data-target="#ATSettings" class="btn btn-themed waves-effect"  data-title="''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # "$tstrings['ats_auto_timer_settings']" on line 35, col 172
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_auto_timer_settings']")) # from line 35, col 172.
        write('''"><i class="material-icons">settings</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_settings'] # "$tstrings['at_settings']" on line 35, col 254
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_settings']")) # from line 35, col 254.
        write('''</span></button>
\t\t\t\t\t</div>

\t\t\t\t\t<div class="row clearfix vti-masked-input">
\t\t\t\t\t\t<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t\t\t\t\t\t\t<div id="ateditcontent">
\t\t\t\t\t\t\t\t<form>
\t\t\t\t\t\t\t\t\t<fieldset style="border:none" class="atform__body">
\t\t\t\t\t\t\t\t\t\t<div class="form-group">

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="enabled" id="enabled" required class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 47, col 116
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 47, col 116.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="enabled">''')
        _v = VFFSL(SL,"tstrings",True)['at_enabled'] # "$tstrings['at_enabled']" on line 48, col 35
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_enabled']")) # from line 48, col 35.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element"></div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Name -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['name'] # "$tstrings['name']" on line 56, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['name']")) # from line 56, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" name="name" id="name" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['at_name_hint'] # "$tstrings['at_name_hint']" on line 59, col 68
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_name_hint']")) # from line 59, col 68.
        write('''" required class="form-control inactive">
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Match text -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_text_match'] # "$tstrings['at_text_match']" on line 66, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_text_match']")) # from line 66, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="text" name="match" id="match" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['at_text_hint'] # "$tstrings['at_text_hint']" on line 69, col 70
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_text_hint']")) # from line 69, col 70.
        write('''" required class="form-control inactive">
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<!-- EPG encoding -->

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Search type -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_search_type'] # "$tstrings['at_search_type']" on line 78, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_search_type']")) # from line 78, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="dropdown atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="searchType" id="searchType" class="form-control show-tick">
''')
        for searchType in VFFSL(SL,"searchTypes",True): # generated from line 83, col 1
            write('''\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="''')
            _v = VFFSL(SL,"searchType",True) # '$searchType' on line 84, col 31
            if _v is not None: write(_filter(_v, rawExpr='$searchType')) # from line 84, col 31.
            write('''">''')
            _v = VFFSL(SL,"tstrings",True)['at_'+VFFSL(SL,"searchType",True)+'_match'] # "$tstrings['at_'+$searchType+'_match']" on line 84, col 44
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_'+$searchType+'_match']")) # from line 84, col 44.
            write('''</option>
''')
        write('''\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t
\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Search strictness -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_search_strictness'] # "$tstrings['at_search_strictness']" on line 94, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_search_strictness']")) # from line 94, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="dropdown atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="searchCase" id="searchCase" class="form-control show-tick">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="sensitive">''')
        _v = VFFSL(SL,"tstrings",True)['at_case_sensitive'] # "$tstrings['at_case_sensitive']" on line 99, col 42
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_case_sensitive']")) # from line 99, col 42.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="insensitive" selected>''')
        _v = VFFSL(SL,"tstrings",True)['at_case_insensitive'] # "$tstrings['at_case_insensitive']" on line 100, col 53
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_case_insensitive']")) # from line 100, col 53.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Timer type -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timer_type'] # "$tstrings['at_timer_type']" on line 109, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_timer_type']")) # from line 109, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="dropdown atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="justplay" id="justplay" class="form-control show-tick">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="0" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['at_record'] # "$tstrings['at_record']" on line 114, col 54
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_record']")) # from line 114, col 54.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="1">''')
        _v = VFFSL(SL,"tstrings",True)['at_zap'] # "$tstrings['at_zap']" on line 115, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_zap']")) # from line 115, col 34.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="2">''')
        _v = VFFSL(SL,"tstrings",True)['at_record'] # "$tstrings['at_record']" on line 116, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_record']")) # from line 116, col 34.
        write(''' + ''')
        _v = VFFSL(SL,"tstrings",True)['at_zap'] # "$tstrings['at_zap']" on line 116, col 59
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_zap']")) # from line 116, col 59.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="overrideAlternatives" id="overrideAlternatives" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 124, col 133
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 124, col 133.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Use automatic selection of alternates. -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="overrideAlternatives">''')
        _v = VFFSL(SL,"tstrings",True)['at_override_alt'] # "$tstrings['at_override_alt']" on line 126, col 48
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_override_alt']")) # from line 126, col 48.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="timeSpan" id="timeSpan" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 134, col 109
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 134, col 109.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Only match during timespan -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timeSpan">''')
        _v = VFFSL(SL,"tstrings",True)['at_timespan'] # "$tstrings['at_timespan']" on line 136, col 36
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_timespan']")) # from line 136, col 36.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element" style="min-height: 8ex;">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div id="timeSpanE" class="select-related-container" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Begin of timespan -->
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timespan_begin'] # "$tstrings['at_timespan_begin']" on line 142, col 23
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_timespan_begin']")) # from line 142, col 23.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="time" name="from" id="from" class="form-control inactive time24" placeholder="06:30">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- End of timespan -->
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timespan_end'] # "$tstrings['at_timespan_end']" on line 149, col 23
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_timespan_end']")) # from line 149, col 23.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="time" name="to" id="to" class="form-control inactive time24" placeholder="23:30">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="timeFrame" id="timeFrame" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 160, col 111
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 160, col 111.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Restrict to events on certain dates -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timeFrame">''')
        _v = VFFSL(SL,"tstrings",True)['at_datespan_before'] # "$tstrings['at_datespan_before']" on line 162, col 37
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_datespan_before']")) # from line 162, col 37.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line" id="timeFrameE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="date" name="after" id="after" class="form-control inactive">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container" id="timeFrameAfterCheckBox">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="timeFrameAfter" id="timeFrameAfter" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 175, col 121
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 175, col 121.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Restrict to events on certain dates -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timeFrameAfter">''')
        _v = VFFSL(SL,"tstrings",True)['at_datespan_after'] # "$tstrings['at_datespan_after']" on line 177, col 42
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_datespan_after']")) # from line 177, col 42.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class=" atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line" id="beforeE" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="date" name="before" id="before" class="form-control inactive">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="timerOffset" id="timerOffset" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 190, col 115
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 190, col 115.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Custom offset -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timerOffset">''')
        _v = VFFSL(SL,"tstrings",True)['at_timer_offset'] # "$tstrings['at_timer_offset']" on line 192, col 39
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_timer_offset']")) # from line 192, col 39.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element" style="min-height: 8ex;">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div id="timerOffsetE" class="select-related-container" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Offset before recording (mins)-->
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timer_offset_before'] # "$tstrings['at_timer_offset_before']" on line 198, col 23
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_timer_offset_before']")) # from line 198, col 23.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="number" id="tbefore" name="tbefore" class="form-control inactive" onkeyup="this.value=this.value.replace(/[^\\d]/,\'\')">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Offset after recording (mins)-->
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_timer_offset_after'] # "$tstrings['at_timer_offset_after']" on line 205, col 23
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_timer_offset_after']")) # from line 205, col 23.
        write(''':&nbsp;</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="number" name="tafter" id="tafter" class="form-control inactive" onkeyup="this.value=this.value.replace(/[^\\d]/,\'\')">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="maxDuration" id="maxDuration" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 215, col 115
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 215, col 115.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Set maximum duration -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="maxDuration">''')
        _v = VFFSL(SL,"tstrings",True)['at_max_duration'] # "$tstrings['at_max_duration']" on line 217, col 39
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_max_duration']")) # from line 217, col 39.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div id="maxDurationE" class="dropdown atform__details__dropdown" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Maximum duration (in m) -->
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="maxduration" id="maxduration" class="form-control show-tick">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t
\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- After event -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event'] # "$tstrings['at_after_event']" on line 231, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_after_event']")) # from line 231, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="dropdown atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="afterevent" id="afterevent" class="form-control show-tick">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_standard'] # "$tstrings['at_after_event_standard']" on line 236, col 53
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_after_event_standard']")) # from line 236, col 53.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="none" selected>''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_nothing'] # "$tstrings['at_after_event_nothing']" on line 237, col 46
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_after_event_nothing']")) # from line 237, col 46.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="standby">''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_standby'] # "$tstrings['at_after_event_standby']" on line 238, col 40
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_after_event_standby']")) # from line 238, col 40.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="shutdown">''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_deepstandby'] # "$tstrings['at_after_event_deepstandby']" on line 239, col 41
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_after_event_deepstandby']")) # from line 239, col 41.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="auto">''')
        _v = VFFSL(SL,"tstrings",True)['at_after_event_auto'] # "$tstrings['at_after_event_auto']" on line 240, col 37
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_after_event_auto']")) # from line 240, col 37.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div id="AftereventE" class="atform__fields-container" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="timeSpanAE" id="timeSpanAE" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 248, col 113
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 248, col 113.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Execute "After event" during timespan -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="timeSpanAE">''')
        _v = VFFSL(SL,"tstrings",True)['at_event_timespan'] # "$tstrings['at_event_timespan']" on line 250, col 38
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_event_timespan']")) # from line 250, col 38.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element" style="min-height: 8ex;">

\t\t\t\t\t\t\t\t\t\t\t\t\t<div id="timeSpanAEE" class="select-related-container" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Begin of "After event" timespan -->
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_event_timespan_begin'] # "$tstrings['at_event_timespan_begin']" on line 257, col 23
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_event_timespan_begin']")) # from line 257, col 23.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="time" name="aefrom" id="aefrom" class="form-control inactive">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- End of "After event" timespan -->
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_event_timespan_end'] # "$tstrings['at_event_timespan_end']" on line 264, col 23
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_event_timespan_end']")) # from line 264, col 23.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="form-line">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="time" name="aeto" id="aeto" class="form-control inactive">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t
\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Record a maximum of x times -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_max_counter'] # "$tstrings['at_max_counter']" on line 277, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_max_counter']")) # from line 277, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="dropdown atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="counter" id="counter" class="form-control show-tick"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t
\t\t\t\t\t\t\t\t\t\t\t<div id="CounterE" class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- ?? -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_left'] # "$tstrings['at_left']" on line 289, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_left']")) # from line 289, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="dropdown atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="left" id="left" class="form-control show-tick"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t
\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- ?? -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_reset_count'] # "$tstrings['at_reset_count']" on line 301, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_reset_count']")) # from line 301, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="dropdown atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="counterFormat" id="counterFormat" class="form-control show-tick">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="" selected>''')
        _v = VFFSL(SL,"tstrings",True)['at_never'] # "$tstrings['at_never']" on line 306, col 42
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_never']")) # from line 306, col 42.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="%m">''')
        _v = VFFSL(SL,"tstrings",True)['at_monthly'] # "$tstrings['at_monthly']" on line 307, col 35
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_monthly']")) # from line 307, col 35.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="%U">''')
        _v = VFFSL(SL,"tstrings",True)['at_weekly_sun'] # "$tstrings['at_weekly_sun']" on line 308, col 35
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_weekly_sun']")) # from line 308, col 35.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="%W">''')
        _v = VFFSL(SL,"tstrings",True)['at_weekly_mon'] # "$tstrings['at_weekly_mon']" on line 309, col 35
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_weekly_mon']")) # from line 309, col 35.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t
\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Require description to be unique -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup'] # "$tstrings['at_avoid_dup']" on line 318, col 21
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_avoid_dup']")) # from line 318, col 21.
        write(''':</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="dropdown atform__details__dropdown">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="avoidDuplicateDescription" id="avoidDuplicateDescription" class="form-control show-tick">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="0" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup_no'] # "$tstrings['at_avoid_dup_no']" on line 323, col 54
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_avoid_dup_no']")) # from line 323, col 54.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="1">''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup_same_service'] # "$tstrings['at_avoid_dup_same_service']" on line 324, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_avoid_dup_same_service']")) # from line 324, col 34.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="2">''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup_any_service'] # "$tstrings['at_avoid_dup_any_service']" on line 325, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_avoid_dup_any_service']")) # from line 325, col 34.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="3">''')
        _v = VFFSL(SL,"tstrings",True)['at_avoid_dup_any_service_rec'] # "$tstrings['at_avoid_dup_any_service_rec']" on line 326, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_avoid_dup_any_service_rec']")) # from line 326, col 34.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<!-- Check for uniqueness in -->

''')
        if VFFSL(SL,"autoadjust",True) == 1: # generated from line 334, col 1
            write('''\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="autoadjust" id="autoadjust" class="form-control theme-chk-col chk-col-''')
            _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 337, col 113
            if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 337, col 113.
            write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="autoadjust">''')
            _v = VFFSL(SL,"tstrings",True)['autoadjust'] # "$tstrings['autoadjust']" on line 338, col 38
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['autoadjust']")) # from line 338, col 38.
            write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="avoidDuplicateMovies" id="avoidDuplicateMovies" class="form-control theme-chk-col chk-col-''')
            _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 346, col 133
            if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 346, col 133.
            write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="avoidDuplicateMovies">''')
            _v = VFFSL(SL,"tstrings",True)['avoidDuplicateMovies'] # "$tstrings['avoidDuplicateMovies']" on line 347, col 48
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['avoidDuplicateMovies']")) # from line 347, col 48.
            write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="allow_duplicate" id="allow_duplicate" class="form-control theme-chk-col chk-col-''')
            _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 355, col 123
            if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 355, col 123.
            write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="allow_duplicate">''')
            _v = VFFSL(SL,"tstrings",True)['allow_duplicate'] # "$tstrings['allow_duplicate']" on line 356, col 43
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['allow_duplicate']")) # from line 356, col 43.
            write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
''')
        write('''\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="Location" id="Location" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 364, col 109
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 364, col 109.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Use a custom location -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Location">''')
        _v = VFFSL(SL,"tstrings",True)['at_location'] # "$tstrings['at_location']" on line 366, col 36
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_location']")) # from line 366, col 36.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div id="LocationE" class="dropdown atform__details__dropdown" style="display:none;">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Custom location -->
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="location" id="location" class="form-control show-tick">
''')
        for location in VFFSL(SL,"locations",True): # generated from line 372, col 15
            write('''\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<option value="''')
            _v = VFFSL(SL,"location",True) # '$location' on line 373, col 31
            if _v is not None: write(_filter(_v, rawExpr='$location')) # from line 373, col 31.
            write('''">''')
            _v = VFFSL(SL,"location",True) # '$location' on line 373, col 42
            if _v is not None: write(_filter(_v, rawExpr='$location')) # from line 373, col 42.
            write('''</option>
''')
        write('''\t\t\t\t\t\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="Tags" id="Tags" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 382, col 101
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 382, col 101.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Tags -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Tags">''')
        _v = VFFSL(SL,"tstrings",True)['at_tags'] # "$tstrings['at_tags']" on line 384, col 32
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_tags']")) # from line 384, col 32.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div id="TagsE" class="dropdown atform__details__dropdown form-line" style="display:none">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="tags" id="tags" class="form-control no-default-select" multiple="multiple" data-select-choices="tags"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t
\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="Channels" id="Channels" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 395, col 109
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 395, col 109.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Restrict to specific services -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Channels">''')
        _v = VFFSL(SL,"tstrings",True)['at_channels'] # "$tstrings['at_channels']" on line 397, col 36
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_channels']")) # from line 397, col 36.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div id="ChannelsE" class="dropdown atform__details__dropdown form-line" style="display:none">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="channels" id="channels" class="form-control no-default-select" multiple="multiple" data-select-choices="channels"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="Bouquets" id="Bouquets" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 408, col 109
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 408, col 109.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Restrict to specific bouquets -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Bouquets">''')
        _v = VFFSL(SL,"tstrings",True)['bouquets'] # "$tstrings['bouquets']" on line 410, col 36
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bouquets']")) # from line 410, col 36.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<div id="BouquetsE" class="dropdown atform__details__dropdown form-line" style="display:none">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<select name="bouquets" id="bouquets" class="form-control no-default-select" multiple="multiple" data-select-choices="bouquets"></select>
\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<!-- Restrict to days -->

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="Filter" id="Filter" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 423, col 105
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 423, col 105.
        write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<!-- Use other filters -->
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="Filter">''')
        _v = VFFSL(SL,"tstrings",True)['at_filter'] # "$tstrings['at_filter']" on line 425, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_filter']")) # from line 425, col 34.
        write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container" style="margin-top: 0;">
\t\t\t\t\t\t\t\t\t\t\t\t<table id="filterlist" class="table table-striped table-hover FilterE">
\t\t\t\t\t\t\t\t\t\t\t\t</table>
\t\t\t\t\t\t\t\t\t\t\t\t<button type="button" id="AddFilter" class="btn btn-default waves-effect FilterE">''')
        _v = VFFSL(SL,"tstrings",True)['add'] # "$tstrings['add']" on line 434, col 95
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['add']")) # from line 434, col 95.
        write('''</button>
\t\t\t\t\t\t\t\t\t\t\t</div>

''')
        if VFFSL(SL,"hasVPS",True) == 1: # generated from line 437, col 1
            write('''\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="vps" id="vps" class="form-control theme-chk-col chk-col-''')
            _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 440, col 99
            if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 440, col 99.
            write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="vps">''')
            _v = VFFSL(SL,"tstrings",True)['vps'] # "$tstrings['vps']" on line 441, col 31
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['vps']")) # from line 441, col 31.
            write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t\t<span id="vpsE">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-4">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="vpssm" id="vpssm" class="form-control theme-chk-col chk-col-''')
            _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 448, col 107
            if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 448, col 107.
            write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="vpssm">''')
            _v = VFFSL(SL,"tstrings",True)['safe_mode'] # "$tstrings['safe_mode']" on line 449, col 37
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['safe_mode']")) # from line 449, col 37.
            write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
''')
        if VFFSL(SL,"hasSeriesPlugin",True) == 1: # generated from line 457, col 1
            write('''\t\t\t\t\t\t\t\t\t\t\t<div class="atform__fields-container">
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__title">
\t\t\t\t\t\t\t\t\t\t\t\t\t<input type="checkbox" name="series_labeling" id="series_labeling" class="form-control theme-chk-col chk-col-''')
            _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 460, col 123
            if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 460, col 123.
            write('''">
\t\t\t\t\t\t\t\t\t\t\t\t\t<label for="series_labeling">''')
            _v = VFFSL(SL,"tstrings",True)['at_label_series'] # "$tstrings['at_label_series']" on line 461, col 43
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_label_series']")) # from line 461, col 43.
            write('''</label>
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t\t<div class="atform__details__element">
\t\t\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t\t</div>
''')
        write('''\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t\t<div class="row align-right clearfix">
\t\t\t\t\t\t\t\t\t\t\t<button type="button" onclick="reloadAT(); return false;" class="btn btn-default waves-effect"><i class="material-icons">restore</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['reload'] # "$tstrings['reload']" on line 470, col 150
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['reload']")) # from line 470, col 150.
        write('''</span></button>
\t\t\t\t\t\t\t\t\t\t\t<button type="submit" onclick="saveAT(); return false;" class="btn btn-themed waves-effect"><i class="material-icons">save</i><span>''')
        _v = VFFSL(SL,"tstrings",True)['at_save'] # "$tstrings['at_save']" on line 471, col 144
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_save']")) # from line 471, col 144.
        write('''</span></button>
\t\t\t\t\t\t\t\t\t\t</div>

\t\t\t\t\t\t\t\t\t</fieldset>
\t\t\t\t\t\t\t\t</form>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<div id="ATTimerModal" class="modal fade" role="dialog">
\t<div class="modal-dialog modal-lg">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal"><i class="material-icons material-icons-centered">close</i></button>
\t\t\t\t<h4 class="modal-title">AutoTimer</h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t<div id="atsimulatemodal"></div>
\t\t\t\t\t<div style="font-size:smaller;" class="table-responsive">
\t\t\t\t\t\t<table id="simt" border="0" class="table table-striped table-hover">
\t\t\t\t\t\t\t<thead>
\t\t\t\t\t\t\t\t<tr>
\t\t\t\t\t\t\t\t\t<th>State</th>
\t\t\t\t\t\t\t\t\t<th>''')
        _v = VFFSL(SL,"tstrings",True)['name'] # "$tstrings['name']" on line 499, col 14
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['name']")) # from line 499, col 14.
        write('''</th>
\t\t\t\t\t\t\t\t\t<th>''')
        _v = VFFSL(SL,"tstrings",True)['at_text_match'] # "$tstrings['at_text_match']" on line 500, col 14
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['at_text_match']")) # from line 500, col 14.
        write('''</th>
\t\t\t\t\t\t\t\t\t<th>''')
        _v = VFFSL(SL,"tstrings",True)['channel'] # "$tstrings['channel']" on line 501, col 14
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['channel']")) # from line 501, col 14.
        write('''</th>
\t\t\t\t\t\t\t\t\t<th style="text-align: right;">''')
        _v = VFFSL(SL,"tstrings",True)['start'] # "$tstrings['start']" on line 502, col 41
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['start']")) # from line 502, col 41.
        write('''</th>
\t\t\t\t\t\t\t\t\t<th style="text-align: right;">''')
        _v = VFFSL(SL,"tstrings",True)['end'] # "$tstrings['end']" on line 503, col 41
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['end']")) # from line 503, col 41.
        write('''</th>
\t\t\t\t\t\t\t\t</tr>
\t\t\t\t\t\t\t</thead>
\t\t\t\t\t\t\t\t<tbody id=\'simtb\'>
\t\t\t\t\t\t\t\t</tbody>
\t\t\t\t\t\t</table>
\t\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn waves-effect btn-default" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 512, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 512, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<div id="ATSettings" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal"><i class="material-icons material-icons-centered">close</i></button>
\t\t\t\t<h4 class="modal-title">''')
        _v = VFFSL(SL,"tstrings",True)['ats_auto_timer_settings'] # "$tstrings['ats_auto_timer_settings']" on line 523, col 29
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_auto_timer_settings']")) # from line 523, col 29.
        write('''</h4>
\t\t\t</div>
\t\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="atsettingdlgcont">
\t\t\t\t\t\t<form>
\t\t\t\t\t\t\t<fieldset>
\t\t\t\t\t\t\t\t<div class="form-group">
\t\t\t\t\t\t\t\t\t<input type="checkbox" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 530, col 75
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 530, col 75.
        write('''" id="ats_autopoll" value="" >
\t\t\t\t\t\t\t\t\t<label for="ats_autopoll">''')
        _v = VFFSL(SL,"tstrings",True)['ats_autopoll'] # "$tstrings['ats_autopoll']" on line 531, col 36
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_autopoll']")) # from line 531, col 36.
        write('''</label>&nbsp;
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<label for="ats_interval">''')
        _v = VFFSL(SL,"tstrings",True)['ats_interval'] # "$tstrings['ats_interval']" on line 533, col 36
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_interval']")) # from line 533, col 36.
        write('''</label>
\t\t\t\t\t\t\t\t\t<div class="form-line inactive">
\t\t\t\t\t\t\t\t\t\t<input type="text" size="5" id="ats_interval" class="form-control">
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<label for="ats_maxdaysinfuture">''')
        _v = VFFSL(SL,"tstrings",True)['ats_maxdaysinfuture'] # "$tstrings['ats_maxdaysinfuture']" on line 538, col 43
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_maxdaysinfuture']")) # from line 538, col 43.
        write('''</label>
\t\t\t\t\t\t\t\t\t<div class="form-line inactive">
\t\t\t\t\t\t\t\t\t\t<input type="text" size="5" id="ats_maxdaysinfuture" class="form-control">
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_try_guessing" value="" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 543, col 106
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 543, col 106.
        write('''" >
\t\t\t\t\t\t\t\t\t<label for="ats_try_guessing">''')
        _v = VFFSL(SL,"tstrings",True)['ats_try_guessing'] # "$tstrings['ats_try_guessing']" on line 544, col 40
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_try_guessing']")) # from line 544, col 40.
        write('''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_fastscan" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 546, col 93
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 546, col 93.
        write('''" value="" >
\t\t\t\t\t\t\t\t\t<label for="ats_fastscan">''')
        _v = VFFSL(SL,"tstrings",True)['ats_fastscan'] # "$tstrings['ats_fastscan']" on line 547, col 36
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_fastscan']")) # from line 547, col 36.
        write('''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_show_in_extensionsmenu" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 549, col 107
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 549, col 107.
        write('''" value="" >
\t\t\t\t\t\t\t\t\t<label for="ats_show_in_extensionsmenu">''')
        _v = VFFSL(SL,"tstrings",True)['ats_show_in_extensionsmenu'] # "$tstrings['ats_show_in_extensionsmenu']" on line 550, col 50
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_show_in_extensionsmenu']")) # from line 550, col 50.
        write('''</label>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_disabled_on_conflict" value=""  class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 552, col 115
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 552, col 115.
        write('''" >
\t\t\t\t\t\t\t\t\t<label for="ats_disabled_on_conflict">''')
        _v = VFFSL(SL,"tstrings",True)['ats_disabled_on_conflict'] # "$tstrings['ats_disabled_on_conflict']" on line 553, col 48
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_disabled_on_conflict']")) # from line 553, col 48.
        write('''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_addsimilar_on_conflict" value="" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 555, col 116
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 555, col 116.
        write('''" >
\t\t\t\t\t\t\t\t\t<label for="ats_addsimilar_on_conflict">''')
        _v = VFFSL(SL,"tstrings",True)['ats_addsimilar_on_conflict'] # "$tstrings['ats_addsimilar_on_conflict']" on line 556, col 50
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_addsimilar_on_conflict']")) # from line 556, col 50.
        write('''</label>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_notifconflict" value="" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 558, col 107
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 558, col 107.
        write('''" >
\t\t\t\t\t\t\t\t\t<label for="ats_notifconflict">''')
        _v = VFFSL(SL,"tstrings",True)['ats_notifconflict'] # "$tstrings['ats_notifconflict']" on line 559, col 41
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_notifconflict']")) # from line 559, col 41.
        write('''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_notifsimilar" value="" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 561, col 106
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 561, col 106.
        write('''" >
\t\t\t\t\t\t\t\t\t<label for="ats_notifsimilar">''')
        _v = VFFSL(SL,"tstrings",True)['ats_notifsimilar'] # "$tstrings['ats_notifsimilar']" on line 562, col 40
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_notifsimilar']")) # from line 562, col 40.
        write('''</label>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_add_autotimer_to_tags" value="" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 564, col 115
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 564, col 115.
        write('''" >
\t\t\t\t\t\t\t\t\t<label for="ats_add_autotimer_to_tags">''')
        _v = VFFSL(SL,"tstrings",True)['ats_add_autotimer_to_tags'] # "$tstrings['ats_add_autotimer_to_tags']" on line 565, col 49
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_add_autotimer_to_tags']")) # from line 565, col 49.
        write('''</label>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<input type="checkbox" id="ats_add_name_to_tags" value="" class="form-control theme-chk-col chk-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 567, col 110
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 567, col 110.
        write('''" >
\t\t\t\t\t\t\t\t\t<label for="ats_add_name_to_tags">''')
        _v = VFFSL(SL,"tstrings",True)['ats_add_name_to_tags'] # "$tstrings['ats_add_name_to_tags']" on line 568, col 44
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_add_name_to_tags']")) # from line 568, col 44.
        write('''</label>
\t\t\t\t\t\t\t\t\t<br>
\t\t\t\t\t\t\t\t\t<label for="ats_refresh">''')
        _v = VFFSL(SL,"tstrings",True)['ats_refresh'] # "$tstrings['ats_refresh']" on line 570, col 35
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_refresh']")) # from line 570, col 35.
        write('''</label>
\t\t\t\t\t\t\t\t\t<select id="ats_refresh" size="1"  class="form-control">
\t\t\t\t\t\t\t\t\t\t<option value="none" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_refresh_none'] # "$tstrings['ats_refresh_none']" on line 572, col 52
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_refresh_none']")) # from line 572, col 52.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t<option value="auto" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_refresh_auto'] # "$tstrings['ats_refresh_auto']" on line 573, col 52
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_refresh_auto']")) # from line 573, col 52.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t<option value="all" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_refresh_all'] # "$tstrings['ats_refresh_all']" on line 574, col 51
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_refresh_all']")) # from line 574, col 51.
        write('''</option>
\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t\t<br />
\t\t\t\t\t\t\t\t\t<label for="ats_editor">''')
        _v = VFFSL(SL,"tstrings",True)['ats_editor'] # "$tstrings['ats_editor']" on line 577, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_editor']")) # from line 577, col 34.
        write('''</label>
\t\t\t\t\t\t\t\t\t<select id="ats_editor" size="1" class="form-control">
\t\t\t\t\t\t\t\t\t\t<option value="plain" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_editor_plain'] # "$tstrings['ats_editor_plain']" on line 579, col 53
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_editor_plain']")) # from line 579, col 53.
        write('''</option>
\t\t\t\t\t\t\t\t\t\t<option value="wizzard" selected="selected">''')
        _v = VFFSL(SL,"tstrings",True)['ats_editor_wizard'] # "$tstrings['ats_editor_wizard']" on line 580, col 55
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['ats_editor_wizard']")) # from line 580, col 55.
        write('''</option>
\t\t\t\t\t\t\t\t\t</select>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</fieldset>
\t\t\t\t\t\t</form>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn btn-default waves-effect" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 588, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 588, col 85.
        write('''</button>
\t\t\t\t<button type="button" class="btn btn-themed waves-effect" data-dismiss="modal" onclick="setAutoTimerSettings(); return false;">''')
        _v = VFFSL(SL,"tstrings",True)['save'] # "$tstrings['save']" on line 589, col 132
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['save']")) # from line 589, col 132.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<div id="ATTimerList" class="modal fade" role="dialog">
\t<div class="modal-dialog">
\t\t<div class="modal-content">
\t\t\t<div class="modal-header">
\t\t\t\t<button type="button" class="close" data-dismiss="modal"><i class="material-icons material-icons-centered">close</i></button>
\t\t\t\t<h4 class="modal-title">AutoTimer</h4>
\t\t\t</div>
\t\t\t<div class="modal-body" style="max-height: calc(100vh - 180px); overflow-y: auto;">
\t\t\t\t\t<div id="timerdlgcont"></div>
\t\t\t</div>
\t\t\t<div class="modal-footer">
\t\t\t\t<button type="button" class="btn btn-default waves-effect" data-dismiss="modal">''')
        _v = VFFSL(SL,"tstrings",True)['close'] # "$tstrings['close']" on line 606, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['close']")) # from line 606, col 85.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<script src="/modern/plugins/strftime/strftime.js"></script>
<script src="/modern/plugins/choices/choices.min.js"></script>
<script src="/modern/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script>
<script src="/js/at-2.9.min.js"></script>
<script src="/modern/js/vti-responsive-at.min.js"></script>
<script>
\tjQuery(function() {
\t\tInitPage();
\t});
\tjQuery.AdminBSB.input.activate();
\tjQuery.AdminBSB.select.activate();
\tvar VTiMaskedATInput = jQuery(\'.vti-masked-input\');
\tVTiMaskedATInput.find(\'.time24\').inputmask(\'hh:mm\', { placeholder: \'__:__ _m\', alias: \'time24\', hourFormat: \'24\' });

\tjQuery(function() {
\t\tif(!timeredit_initialized) {
\t\t\tjQuery(\'#editTimerForm\').load(\'ajax/edittimer\');
\t\t}
\t\tjQuery(\'#atlist\').on(\'change\', function (e) {
\t\t\tvar optionSelected = jQuery("option:selected", this);
\t\t\tvar valueSelected = this.value;
\t\t\tFillAT(valueSelected);
\t\t});
\t});
\tjQuery(\':text\').blur()
</script>

''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_19499463
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_at = 'respond'

## END CLASS DEFINITION

if not hasattr(at, '_initCheetahAttributes'):
    templateAPIClass = getattr(at,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(at)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=at()).run()


