#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.5'
__CHEETAH_versionTuple__ = (3, 2, 5, 'final', 0)
__CHEETAH_genTime__ = 1607299980.8401244
__CHEETAH_genTimestamp__ = 'Mon Dec  7 00:13:00 2020'
__CHEETAH_src__ = '/home/oe1/atv65arm/build-enviroment/builds/openatv/release/h9se/tmp/work/cortexa15hf-neon-vfpv4-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1.3.9+gitAUTOINC+5865926c6c-r0/git/plugin/controllers/views/responsive/ajax/boxinfo.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Dec  7 00:12:21 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class boxinfo(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(boxinfo, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
<div class="col-xs-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">info</i>''')
        _v = VFFSL(SL,"tstrings",True)['box_info'] # "$tstrings['box_info']" on line 9, col 68
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['box_info']")) # from line 9, col 68.
        write('''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t</div>
\t\t<div class="body" style="word-break: break-all">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
''')
        if VFFSL(SL,"boximage",True) != 'unknown.png': # generated from line 16, col 1
            write('''\t\t\t\t\t<img src="images/boxes/''')
            _v = VFFSL(SL,"boximage",True) # '${boximage}' on line 17, col 29
            if _v is not None: write(_filter(_v, rawExpr='${boximage}')) # from line 17, col 29.
            write('''" id="box_image" class="img-responsive center-block" alt="box_info">
''')
        else: # generated from line 18, col 1
            write('''\t\t\t\t\t<div class="box-info__unknown-box align-center"><i class="material-icons material-icons-centered">dvr</i></div>
''')
        write('''\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t<div class="header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 26, col 45
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 26, col 45.
        write('''">
\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">dvr</i>''')
        _v = VFFSL(SL,"tstrings",True)['box'] # "$tstrings['box']" on line 27, col 68
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['box']")) # from line 27, col 68.
        write('''</h2>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['brand'] # "$tstrings['brand']" on line 32, col 13
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['brand']")) # from line 32, col 13.
        write(''' & ''')
        _v = VFFSL(SL,"tstrings",True)['model'] # "$tstrings['model']" on line 32, col 34
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['model']")) # from line 32, col 34.
        write(''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"brand",True) # '$brand' on line 35, col 10
        if _v is not None: write(_filter(_v, rawExpr='$brand')) # from line 35, col 10.
        write(''' ''')
        _v = VFFSL(SL,"model",True) # '$model' on line 35, col 17
        if _v is not None: write(_filter(_v, rawExpr='$model')) # from line 35, col 17.
        write('''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"friendlychipsetdescription",True) # '$friendlychipsetdescription' on line 40, col 13
        if _v is not None: write(_filter(_v, rawExpr='$friendlychipsetdescription')) # from line 40, col 13.
        write(''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"friendlychipsettext",True) # '$friendlychipsettext' on line 43, col 10
        if _v is not None: write(_filter(_v, rawExpr='$friendlychipsettext')) # from line 43, col 10.
        write('''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['main_memory'] # "$tstrings['main_memory']" on line 48, col 13
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['main_memory']")) # from line 48, col 13.
        write(''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"mem3",True) # '$mem3' on line 51, col 10
        if _v is not None: write(_filter(_v, rawExpr='$mem3')) # from line 51, col 10.
        write('''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['box_uptime'] # "$tstrings['box_uptime']" on line 56, col 13
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['box_uptime']")) # from line 56, col 13.
        write(''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"uptime",True) # '$uptime' on line 59, col 10
        if _v is not None: write(_filter(_v, rawExpr='$uptime')) # from line 59, col 10.
        write('''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 69, col 46
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 69, col 46.
        write('''">
\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">save</i>''')
        _v = VFFSL(SL,"tstrings",True)['software'] # "$tstrings['software']" on line 70, col 70
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['software']")) # from line 70, col 70.
        write('''</h2>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['oe_version'] # "$tstrings['oe_version']" on line 75, col 13
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['oe_version']")) # from line 75, col 13.
        write(''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"oever",True) # '$oever' on line 78, col 10
        if _v is not None: write(_filter(_v, rawExpr='$oever')) # from line 78, col 10.
        write('''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['firmware_version'] # "$tstrings['firmware_version']" on line 83, col 13
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['firmware_version']")) # from line 83, col 13.
        write(''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"friendlyimagedistro",True) # '$friendlyimagedistro' on line 86, col 10
        if _v is not None: write(_filter(_v, rawExpr='$friendlyimagedistro')) # from line 86, col 10.
        write(''' ''')
        _v = VFFSL(SL,"imagever",True) # '$imagever' on line 86, col 31
        if _v is not None: write(_filter(_v, rawExpr='$imagever')) # from line 86, col 31.
        write(''' (''')
        _v = VFFSL(SL,"enigmaver",True) # '$enigmaver' on line 86, col 42
        if _v is not None: write(_filter(_v, rawExpr='$enigmaver')) # from line 86, col 42.
        write(''')
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
        _v = VFFSL(SL,"tstrings",True)['kernel_version'] # "$tstrings['kernel_version']" on line 91, col 13
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['kernel_version']")) # from line 91, col 13.
        write(''' / ''')
        _v = VFFSL(SL,"tstrings",True)['driver_date'] # "$tstrings['driver_date']" on line 91, col 43
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['driver_date']")) # from line 91, col 43.
        write(''':</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"kernelver",True) # '$kernelver' on line 94, col 10
        if _v is not None: write(_filter(_v, rawExpr='$kernelver')) # from line 94, col 10.
        write(''' / ''')
        _v = VFFSL(SL,"driverdate",True) # '$driverdate' on line 94, col 23
        if _v is not None: write(_filter(_v, rawExpr='$driverdate')) # from line 94, col 23.
        write('''
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 104, col 46
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 104, col 46.
        write('''">
\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">tune</i>''')
        _v = VFFSL(SL,"tstrings",True)['tuners'] # "$tstrings['tuners']" on line 105, col 70
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['tuners']")) # from line 105, col 70.
        write('''</h2>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
''')
        divider = ''
        for tuner in VFFSL(SL,"tuners",True): # generated from line 109, col 7
            write('''\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"divider",True) # '$divider' on line 110, col 8
            if _v is not None: write(_filter(_v, rawExpr='$divider')) # from line 110, col 8.
            write('''
\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tuner.name",True) # '$tuner.name' on line 113, col 13
            if _v is not None: write(_filter(_v, rawExpr='$tuner.name')) # from line 113, col 13.
            write('''</b>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"tuner.type",True) # '$tuner.type' on line 116, col 10
            if _v is not None: write(_filter(_v, rawExpr='$tuner.type')) # from line 116, col 10.
            write('''
''')
            if VFFSL(SL,"tuner.live",True) != '': # generated from line 117, col 9
                write('''\t\t\t\t\t\t\t\t\t<p><i class="material-icons material-icons-centered">play_circle_outline</i>''')
                _v = VFFSL(SL,"tuner.live",True) # '$tuner.live' on line 118, col 86
                if _v is not None: write(_filter(_v, rawExpr='$tuner.live')) # from line 118, col 86.
                write('''</p>
''')
            if VFFSL(SL,"tuner.rec",True) != '': # generated from line 120, col 9
                write('''\t\t\t\t\t\t\t\t\t\t<p><i class="material-icons material-icons-centered">videocam</i>''')
                _v = VFFSL(SL,"tuner.rec",True) # '$tuner.rec' on line 121, col 76
                if _v is not None: write(_filter(_v, rawExpr='$tuner.rec')) # from line 121, col 76.
                write('''</p>
''')
            write('''\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
''')
            divider = '<hr style="margin:0 0 30px;">'
        write('''\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
''')
        if VFFSL(SL,"len",False)(VFFSL(SL,"streams",True)) > 0: # generated from line 131, col 4
            write('''\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
            _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 135, col 46
            if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 135, col 46.
            write('''">
\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">settings_system_daydream</i>''')
            _v = VFFSL(SL,"tstrings",True)['streamclients'] # "$tstrings['streamclients']" on line 136, col 90
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['streamclients']")) # from line 136, col 90.
            write('''</h2>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
''')
            divider = ''
            for stream in VFFSL(SL,"streams",True): # generated from line 140, col 8
                write('''\t\t\t\t\t\t\t\t''')
                _v = VFFSL(SL,"divider",True) # '$divider' on line 141, col 9
                if _v is not None: write(_filter(_v, rawExpr='$divider')) # from line 141, col 9.
                write('''
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
                _v = VFFSL(SL,"stream.ip",True) # '$stream.ip' on line 144, col 14
                if _v is not None: write(_filter(_v, rawExpr='$stream.ip')) # from line 144, col 14.
                write(''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
''')
                if VFFSL(SL,"stream.type",True) == 'T': # generated from line 147, col 11
                    write('''\t\t\t\t\t\t\t\t\t\t\t''')
                    _v = VFFSL(SL,"stream.name",True) # '$stream.name' on line 148, col 12
                    if _v is not None: write(_filter(_v, rawExpr='$stream.name')) # from line 148, col 12.
                    write(''' / (''')
                    _v = VFFSL(SL,"tstrings",True)['transcoded'] # "$tstrings['transcoded']" on line 148, col 28
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['transcoded']")) # from line 148, col 28.
                    write(''')
''')
                else: # generated from line 149, col 11
                    write('''\t\t\t\t\t\t\t\t\t\t\t''')
                    _v = VFFSL(SL,"stream.name",True) # '$stream.name' on line 150, col 12
                    if _v is not None: write(_filter(_v, rawExpr='$stream.name')) # from line 150, col 12.
                    write('''
''')
                write('''\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
''')
                divider = '<hr style="margin:0 0 30px;">'
            write('''\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
''')
        write('''\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t<div class="card">
\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 164, col 46
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 164, col 46.
        write('''">
\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">storage</i>HDD</h2>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="body">
''')
        divider = ''
        for hd in VFFSL(SL,"hdd",True): # generated from line 169, col 8
            write('''\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"divider",True) # '$divider' on line 170, col 9
            if _v is not None: write(_filter(_v, rawExpr='$divider')) # from line 170, col 9.
            write('''
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['hdd_model'] # "$tstrings['hdd_model']" on line 173, col 14
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['hdd_model']")) # from line 173, col 14.
            write(''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t ''')
            _v = VFFSL(SL,"hd.model",True) # '$hd.model' on line 176, col 12
            if _v is not None: write(_filter(_v, rawExpr='$hd.model')) # from line 176, col 12.
            write('''
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['capacity'] # "$tstrings['capacity']" on line 181, col 14
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['capacity']")) # from line 181, col 14.
            write(''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"hd.friendlycapacity",True) # '$hd.friendlycapacity' on line 184, col 11
            if _v is not None: write(_filter(_v, rawExpr='$hd.friendlycapacity')) # from line 184, col 11.
            write(''' (''')
            _v = VFFSL(SL,"hd.mount",True) # '$hd.mount' on line 184, col 33
            if _v is not None: write(_filter(_v, rawExpr='$hd.mount')) # from line 184, col 33.
            write(''')
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
''')
            divider = '<hr style="margin:0 0 30px;">'
        write('''\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
''')
        if VFFSL(SL,"shares",True): # generated from line 193, col 4
            write('''\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t<div class="card">
\t\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
            _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 197, col 47
            if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 197, col 47.
            write('''">
\t\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">settings_ethernet</i>''')
            _v = VFFSL(SL,"tstrings",True)['networkshares'] # "$tstrings['networkshares']" on line 198, col 84
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['networkshares']")) # from line 198, col 84.
            write('''</h2>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="body">
''')
            divider = ''
            for share in VFFSL(SL,"shares",True): # generated from line 202, col 8
                write('''\t\t\t\t\t\t\t\t''')
                _v = VFFSL(SL,"divider",True) # '$divider' on line 203, col 9
                if _v is not None: write(_filter(_v, rawExpr='$divider')) # from line 203, col 9.
                write('''
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
                _v = VFFSL(SL,"share.name",True) # '$share.name' on line 206, col 14
                if _v is not None: write(_filter(_v, rawExpr='$share.name')) # from line 206, col 14.
                write(''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t''')
                _v = VFFSL(SL,"share.type",True) # '$share.type' on line 209, col 11
                if _v is not None: write(_filter(_v, rawExpr='$share.type')) # from line 209, col 11.
                write(''' ''')
                _v = VFFSL(SL,"tstrings",True)['using'] # "$tstrings['using']" on line 209, col 23
                if _v is not None: write(_filter(_v, rawExpr="$tstrings['using']")) # from line 209, col 23.
                write(''' ''')
                _v = VFFSL(SL,"share.method",True) # '$share.method' on line 209, col 42
                if _v is not None: write(_filter(_v, rawExpr='$share.method')) # from line 209, col 42.
                write(''': ''')
                _v = VFFSL(SL,"share.path",True) # '$share.path' on line 209, col 57
                if _v is not None: write(_filter(_v, rawExpr='$share.path')) # from line 209, col 57.
                write(''' (''')
                _v = VFFSL(SL,"share.friendlyaddress",True) # '$share.friendlyaddress' on line 209, col 70
                if _v is not None: write(_filter(_v, rawExpr='$share.friendlyaddress')) # from line 209, col 70.
                write(''')
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
''')
                divider = '<hr style="margin:0 0 30px;">'
            write('''\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
''')
        for iface in VFFSL(SL,"ifaces",True): # generated from line 219, col 4
            write('''\t\t\t<div class="row clearfix">
\t\t\t\t\t<div class="col-xs-12">
\t\t\t\t\t\t<div class="card">
\t\t\t\t\t\t\t<div class="header vti-colored-card bg-''')
            _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 223, col 47
            if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 223, col 47.
            write('''">
\t\t\t\t\t\t\t\t<h2><i class="material-icons material-icons-centered">router</i>''')
            _v = VFFSL(SL,"tstrings",True)['network_interface'] # "$tstrings['network_interface']" on line 224, col 73
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['network_interface']")) # from line 224, col 73.
            write(''': ''')
            _v = VFFSL(SL,"iface.name",True) # '$iface.name' on line 224, col 105
            if _v is not None: write(_filter(_v, rawExpr='$iface.name')) # from line 224, col 105.
            write(''' (''')
            _v = VFFSL(SL,"iface.friendlynic",True) # '$iface.friendlynic' on line 224, col 118
            if _v is not None: write(_filter(_v, rawExpr='$iface.friendlynic')) # from line 224, col 118.
            write(''')</h2>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t<div class="body">
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['linkspeed'] # "$tstrings['linkspeed']" on line 229, col 14
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['linkspeed']")) # from line 229, col 14.
            write(''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"iface.linkspeed",True) # '$iface.linkspeed' on line 232, col 11
            if _v is not None: write(_filter(_v, rawExpr='$iface.linkspeed')) # from line 232, col 11.
            write('''
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['mac_address'] # "$tstrings['mac_address']" on line 237, col 14
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['mac_address']")) # from line 237, col 14.
            write(''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"iface.mac",True) # '$iface.mac' on line 240, col 11
            if _v is not None: write(_filter(_v, rawExpr='$iface.mac')) # from line 240, col 11.
            write('''
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t<b>''')
            _v = VFFSL(SL,"tstrings",True)['ipv6_address'] # "$tstrings['ipv6_address']" on line 245, col 14
            if _v is not None: write(_filter(_v, rawExpr="$tstrings['ipv6_address']")) # from line 245, col 14.
            write(''':</b>
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t''')
            _v = VFFSL(SL,"iface.ipv6",True) # '$iface.ipv6' on line 248, col 11
            if _v is not None: write(_filter(_v, rawExpr='$iface.ipv6')) # from line 248, col 11.
            write(''' (''')
            _v = VFFSL(SL,"iface.ipmethod",True) # '$iface.ipmethod' on line 248, col 24
            if _v is not None: write(_filter(_v, rawExpr='$iface.ipmethod')) # from line 248, col 24.
            write(''')
\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t</div>
''')
            if VFFSL(SL,"iface.ip",True) != "0.0.0.0": # generated from line 251, col 7
                write('''\t\t\t\t\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t\t<b>''')
                _v = VFFSL(SL,"tstrings",True)['ipv4_address'] # "$tstrings['ipv4_address']" on line 254, col 15
                if _v is not None: write(_filter(_v, rawExpr="$tstrings['ipv4_address']")) # from line 254, col 15.
                write(''':</b>
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t\t\t\t\t\t\t''')
                _v = VFFSL(SL,"iface.ip",True) # '$iface.ip' on line 257, col 12
                if _v is not None: write(_filter(_v, rawExpr='$iface.ip')) # from line 257, col 12.
                write('''/''')
                _v = VFFSL(SL,"iface.v4prefix",True) # '$iface.v4prefix' on line 257, col 22
                if _v is not None: write(_filter(_v, rawExpr='$iface.v4prefix')) # from line 257, col 22.
                write(''' ''')
                _v = VFFSL(SL,"tstrings",True)['via'] # "$tstrings['via']" on line 257, col 38
                if _v is not None: write(_filter(_v, rawExpr="$tstrings['via']")) # from line 257, col 38.
                write(''' ''')
                _v = VFFSL(SL,"iface.gw",True) # '$iface.gw' on line 257, col 55
                if _v is not None: write(_filter(_v, rawExpr='$iface.gw')) # from line 257, col 55.
                write(''' (''')
                _v = VFFSL(SL,"iface.ipv4method",True) # '$iface.ipv4method' on line 257, col 66
                if _v is not None: write(_filter(_v, rawExpr='$iface.ipv4method')) # from line 257, col 66.
                write(''')
\t\t\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t\t\t</div>
''')
            write('''\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
''')
        write('''\t\t</div>
\t</div>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_boxinfo = 'respond'

## END CLASS DEFINITION

if not hasattr(boxinfo, '_initCheetahAttributes'):
    templateAPIClass = getattr(boxinfo,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(boxinfo)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=boxinfo()).run()


