#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor, showPicons, showPiconBackground

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.5'
__CHEETAH_versionTuple__ = (3, 2, 5, 'final', 0)
__CHEETAH_genTime__ = 1607299980.8867927
__CHEETAH_genTimestamp__ = 'Mon Dec  7 00:13:00 2020'
__CHEETAH_src__ = '/home/oe1/atv65arm/build-enviroment/builds/openatv/release/h9se/tmp/work/cortexa15hf-neon-vfpv4-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1.3.9+gitAUTOINC+5865926c6c-r0/git/plugin/controllers/views/responsive/ajax/bqe.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Dec  7 00:12:21 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class bqe(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(bqe, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_22863485 = _filter
        filterName = 'WebSafe'
        if "WebSafe" in self._CHEETAH__filters:
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write('''
''')
        piconCssClass = ''
        write('''
<style>
''')
        if VFFSL(SL,"showPicons",True): # generated from line 8, col 1
            if VFFSL(SL,"showPiconBackground",True): # generated from line 9, col 2
                piconCssClass = 'picon--with-background'
                write('''\t\t/* dirty workaround for jQuery-populated lists */
\t\t.bqe__picon { background-color: #bababa; box-shadow: inset -8px 16px 26px #fff; }
''')
        else: # generated from line 14, col 1
            write('''\t\t.bqe__picon { display:none; }
''')
        write('''</style>

<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">view_list</i>''')
        _v = VFFSL(SL,"tstrings",True)['Bouquet_Editor'] # "$tstrings['Bouquet_Editor']" on line 24, col 73
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['Bouquet_Editor']")) # from line 24, col 73.
        write('''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<ul class="header-dropdown">
\t\t\t\t<li>
\t\t\t\t<li class="dropdown"><a href="javascript:void(0);" id="toolbar-bouquets-reload" title="''')
        _v = VFFSL(SL,"tstrings",True)['reload'] # "$tstrings['reload']" on line 29, col 92
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['reload']")) # from line 29, col 92.
        write('''"><i class="material-icons">autorenew</i></a>
\t\t\t\t<li><a href="javascript:void(0);" onclick="toggleLeftSideBar(); return false;" class="m-l-5"><i class="material-icons" id="togglefullscreen">fullscreen</i></a></li>
\t\t\t\t<a href="javascript:void(0);" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="material-icons">more_vert</i></a>
\t\t\t\t\t<ul class="dropdown-menu pull-right">
\t\t\t\t\t\t<li><a href="javascript:void(0);" id="toolbar-bouquets-import"><i class="material-icons material-icons-centered">publish</i>''')
        _v = VFFSL(SL,"tstrings",True)['import'] # "$tstrings['import']" on line 33, col 131
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['import']")) # from line 33, col 131.
        write('''</a></li>
\t\t\t\t\t\t<li><a href="javascript:void(0);" id="toolbar-bouquets-export"><i class="material-icons material-icons-centered">get_app</i>''')
        _v = VFFSL(SL,"tstrings",True)['export'] # "$tstrings['export']" on line 34, col 131
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['export']")) # from line 34, col 131.
        write('''</a></li>
\t\t\t\t\t</ul>
\t\t\t\t</li>
\t\t\t</ul>
\t\t</div>
\t\t<div class="body" id="bqemain">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-6 align-center">
\t\t\t\t\t<span class="bqe__option">
\t\t\t\t\t\t<input type="radio" name="tb2" id="toolbar-choose-channels" class="radio-vti theme-radio-col radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 43, col 110
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 43, col 110.
        write('''" checked="checked">
\t\t\t\t\t\t<label for="toolbar-choose-channels">''')
        _v = VFFSL(SL,"tstrings",True)['all_channels'] # "$tstrings['all_channels']" on line 44, col 44
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['all_channels']")) # from line 44, col 44.
        write('''</label>
\t\t\t\t\t</span>
\t\t\t\t\t<span class="bqe__option">
\t\t\t\t\t\t<input type="radio" name="tb2" id="toolbar-choose-satellites" class="radio-vti theme-radio-col radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 47, col 112
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 47, col 112.
        write('''">
\t\t\t\t\t\t<label for="toolbar-choose-satellites">''')
        _v = VFFSL(SL,"tstrings",True)['satellites'] # "$tstrings['satellites']" on line 48, col 46
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['satellites']")) # from line 48, col 46.
        write('''</label>
\t\t\t\t\t</span>
\t\t\t\t\t<span class="bqe__option">
\t\t\t\t\t\t<input type="radio" name="tb2" id="toolbar-choose-providers" class="radio-vti theme-radio-col radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 51, col 111
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 51, col 111.
        write('''">
\t\t\t\t\t\t<label for="toolbar-choose-providers">''')
        _v = VFFSL(SL,"tstrings",True)['providers'] # "$tstrings['providers']" on line 52, col 45
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['providers']")) # from line 52, col 45.
        write('''</label>
\t\t\t\t\t</span>
\t\t\t\t</div>
\t\t\t\t<div class="col-xs-6 align-center">
\t\t\t\t\t<span class="bqe__option">
\t\t\t\t\t\t<input type="radio" name="tb1" id="toolbar-choose-tv" class="radio-vti theme-radio-col radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 57, col 104
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 57, col 104.
        write('''" checked="checked">
\t\t\t\t\t\t<label for="toolbar-choose-tv">''')
        _v = VFFSL(SL,"tstrings",True)['television'] # "$tstrings['television']" on line 58, col 38
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['television']")) # from line 58, col 38.
        write('''</label>
\t\t\t\t\t</span>
\t\t\t\t\t<span class="bqe__option">
\t\t\t\t\t\t<input type="radio" name="tb1" id="toolbar-choose-radio" class="radio-vti theme-radio-col radio-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 61, col 107
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 61, col 107.
        write('''">
\t\t\t\t\t\t<label for="toolbar-choose-radio">''')
        _v = VFFSL(SL,"tstrings",True)['radio'] # "$tstrings['radio']" on line 62, col 41
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['radio']")) # from line 62, col 41.
        write('''</label>
\t\t\t\t\t</span>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<section class="col-xs-12 col-md-6">
\t\t\t\t\t<header>''')
        _v = VFFSL(SL,"tstrings",True)['satellites'] # "$tstrings['satellites']" on line 68, col 14
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['satellites']")) # from line 68, col 14.
        write('''/''')
        _v = VFFSL(SL,"tstrings",True)['providers'] # "$tstrings['providers']" on line 68, col 38
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['providers']")) # from line 68, col 38.
        write(''' <span id="count-sat-prov"></span></header>
\t\t\t\t\t<div class="bqe__list row clearfix">
\t\t\t\t\t\t<div class="col-xs-12 p-r-5">
\t\t\t\t\t\t\t<ol id="provider" class="selectable">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span class="bqe__picon">
\t\t\t\t\t\t\t\t\t\t<img src="/images/default_picon.png">
\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"tstrings",True)['bqe_loading'] # "$tstrings['bqe_loading']" on line 76, col 10
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_loading']")) # from line 76, col 10.
        write('''
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ol>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix">
\t\t\t\t\t\t<div class="col-xs-12 m-t-10 align-right">
\t\t\t\t\t\t\t<button class="bqe__button btn btn-themed waves-effect" id="btn-provider-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_provider_as_bouquet'] # "$tstrings['bqe_add_provider_as_bouquet']" on line 83, col 86
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_add_provider_as_bouquet']")) # from line 83, col 86.
        write('''</button>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</section>
\t\t\t\t<section class="col-xs-12 col-md-6">
\t\t\t\t\t<header>''')
        _v = VFFSL(SL,"tstrings",True)['channels'] # "$tstrings['channels']" on line 88, col 14
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['channels']")) # from line 88, col 14.
        write(''' <span id="count-sat-prov-channels"></span></header>
\t\t\t\t\t<div class="bqe__list row clearfix">
\t\t\t\t\t\t<div class="col-xs-12 p-r-5">
\t\t\t\t\t\t\t<ol id="channels" class="selectable">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span class="bqe__picon">
\t\t\t\t\t\t\t\t\t\t<img src="/images/default_picon.png">
\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"tstrings",True)['bqe_loading'] # "$tstrings['bqe_loading']" on line 96, col 10
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_loading']")) # from line 96, col 10.
        write('''
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ol>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix align-center">
\t\t\t\t\t\t<div class="col-xs-12 col-sm-6 m-t-10">
\t\t\t\t\t\t\t<div class="form-group">
\t\t\t\t\t\t\t\t<div class="form-line m-l-10">
\t\t\t\t\t\t\t\t\t<input type="search" name="searchch" id="searchch" class="form-control" placeholder="''')
        _v = VFFSL(SL,"tstrings",True)['bqe_search_enhanced'] # "$tstrings['bqe_search_enhanced']" on line 105, col 95
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_search_enhanced']")) # from line 105, col 95.
        write('''">
\t\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t\t</div>
\t\t\t\t\t\t</div>
\t\t\t\t\t\t<div class="col-xs-12 col-sm-6 m-t-10 align-right">
\t\t\t\t\t\t\t<button class="bqe__button btn btn-themed waves-effect" id="btn-channel-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_channel'] # "$tstrings['bqe_add_channel']" on line 110, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_add_channel']")) # from line 110, col 85.
        write('''</button>
\t\t\t\t\t\t\t<!-- button class="bqe__button btn btn-themed waves-effect" id="btn-alternative-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_alternative'] # "$tstrings['bqe_add_alternative']" on line 111, col 93
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_add_alternative']")) # from line 111, col 93.
        write('''</button -->
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</section>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<section class="col-xs-12 col-md-6">
\t\t\t\t\t<header>''')
        _v = VFFSL(SL,"tstrings",True)['bouquets'] # "$tstrings['bouquets']" on line 118, col 14
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bouquets']")) # from line 118, col 14.
        write(''' <span id="count-bouquets"></span></header>
\t\t\t\t\t<div class="bqe__list row clearfix">
\t\t\t\t\t\t<div class="col-xs-12 p-r-5">
\t\t\t\t\t\t\t<ol id="bql" class="selectable">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span class="bqe__picon">
\t\t\t\t\t\t\t\t\t\t<img src="/images/default_picon.png">
\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"tstrings",True)['bqe_loading'] # "$tstrings['bqe_loading']" on line 126, col 10
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_loading']")) # from line 126, col 10.
        write('''
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ol>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix align-center">
\t\t\t\t\t\t<div class="col-xs-12 m-t-10">
\t\t\t\t\t\t\t\t<button class="bqe__button btn btn-themed waves-effect" id="btn-bouquet-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_bq'] # "$tstrings['bqe_add_bq']" on line 133, col 86
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_add_bq']")) # from line 133, col 86.
        write('''</button>
\t\t\t\t\t\t\t\t<button class="bqe__button btn btn-themed waves-effect" id="btn-bouquet-rename">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_rename_bq'] # "$tstrings['bqe_rename_bq']" on line 134, col 89
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_rename_bq']")) # from line 134, col 89.
        write('''</button>
\t\t\t\t\t\t\t\t<button class="bqe__button btn btn-themed waves-effect" id="btn-bouquet-delete">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_delete_bq'] # "$tstrings['bqe_delete_bq']" on line 135, col 89
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_delete_bq']")) # from line 135, col 89.
        write('''</button>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</section>
\t\t\t\t<section class="col-xs-12 col-md-6">
\t\t\t\t\t<header>''')
        _v = VFFSL(SL,"tstrings",True)['channels'] # "$tstrings['channels']" on line 140, col 14
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['channels']")) # from line 140, col 14.
        write(''' <span id="count-bouquet-channels"></span></header>
\t\t\t\t\t<div class="bqe__list row clearfix">
\t\t\t\t\t\t<div class="col-xs-12 p-r-5">
\t\t\t\t\t\t\t<ol id="bqs" class="selectable">
\t\t\t\t\t\t\t\t<li>
\t\t\t\t\t\t\t\t\t<span class="bqe__picon">
\t\t\t\t\t\t\t\t\t\t<img src="/images/default_picon.png">
\t\t\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t\t\t\t''')
        _v = VFFSL(SL,"tstrings",True)['bqe_loading'] # "$tstrings['bqe_loading']" on line 148, col 10
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_loading']")) # from line 148, col 10.
        write('''
\t\t\t\t\t\t\t\t</li>
\t\t\t\t\t\t\t</ol>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="row clearfix align-center">
\t\t\t\t\t\t<div class="col-xs-12 m-t-10">
\t\t\t\t\t\t\t\t<button class="bqe__button btn btn-themed waves-effect" id="btn-url-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_url'] # "$tstrings['bqe_add_url']" on line 155, col 82
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_add_url']")) # from line 155, col 82.
        write('''</button>
\t\t\t\t\t\t\t\t<button class="bqe__button btn btn-themed waves-effect" id="btn-marker-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_marker'] # "$tstrings['bqe_add_marker']" on line 156, col 85
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_add_marker']")) # from line 156, col 85.
        write('''</button>
\t\t\t\t\t\t\t\t<!-- <button class="bqe__button btn btn-themed waves-effect" id="btn-spacer-add">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_add_spacer'] # "$tstrings['bqe_add_spacer']" on line 157, col 90
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_add_spacer']")) # from line 157, col 90.
        write('''</button> -->
\t\t\t\t\t\t\t\t<button class="bqe__button btn btn-themed waves-effect" id="btn-marker-group-rename">''')
        _v = VFFSL(SL,"tstrings",True)['bqe_rename'] # "$tstrings['bqe_rename']" on line 158, col 94
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['bqe_rename']")) # from line 158, col 94.
        write('''</button>
\t\t\t\t\t\t\t\t<button class="bqe__button btn btn-themed waves-effect" id="btn-channel-delete">''')
        _v = VFFSL(SL,"tstrings",True)['delete'] # "$tstrings['delete']" on line 159, col 89
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['delete']")) # from line 159, col 89.
        write('''</button>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</section>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

\t\t<!-- <div id="statuscont" style="display:none">
\t\t\t<div id="statusbox" class="ui-state-error ui-corner-all" style="padding: 0 .7em;"> 
\t\t\t\t<p>
\t\t\t\t\t<span id="statusicon" class="ui-icon ui-icon-alert" style="margin-right: .3em;"></span> 
\t\t\t\t\t<span id="statustext"></span>
\t\t\t\t</p>
\t\t\t</div>
\t\t</div> -->
\t\t<form id="uploadrestore" style="display:none" action"uploadrestore"="" method="post" enctype="multipart/form-data" encoding="multipart/form-data">
\t\t\t<input type="file" name="rfile" id="rfile">
\t\t</form>

<script src="/modern/js/vti-responsive-bqe.min.js"></script>
<script>
\tjQuery.AdminBSB.input.activate();
\tjQuery.AdminBSB.select.activate();
</script>

''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_22863485
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_bqe = 'respond'

## END CLASS DEFINITION

if not hasattr(bqe, '_initCheetahAttributes'):
    templateAPIClass = getattr(bqe,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(bqe)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=bqe()).run()


