#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor, showPicons, showPiconBackground

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.5'
__CHEETAH_versionTuple__ = (3, 2, 5, 'final', 0)
__CHEETAH_genTime__ = 1607299981.0600038
__CHEETAH_genTimestamp__ = 'Mon Dec  7 00:13:01 2020'
__CHEETAH_src__ = '/home/oe1/atv65arm/build-enviroment/builds/openatv/release/h9se/tmp/work/cortexa15hf-neon-vfpv4-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1.3.9+gitAUTOINC+5865926c6c-r0/git/plugin/controllers/views/responsive/ajax/channels.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Dec  7 00:12:21 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class channels(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(channels, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
''')
        piconCssClass = ''
        if VFFSL(SL,"showPiconBackground",True): # generated from line 5, col 1
            piconCssClass = 'picon--with-background'
        write('''
<style>
  #tvcontent .nav-tabs {
\t\tdisplay: flex;
\t\tmargin-bottom: 16px;
\t\toverflow-x: auto;
\t}

\t#tvcontent .nav-tabs > li {
    position: relative;
    top: 0;
    left: 0;
    margin-bottom: 0;
    float: none;
    display: flex;
\t\tmin-width:120px;
    flex-wrap: wrap;
    flex: 0 1 auto;
    justify-content: center;
    justify-items: center;
    justify-self: center;
\t}

\t#tvcontent .nav-tabs > li > a {
    display: flex;
    padding-bottom: 8px;
    flex: 1 1 auto;
    flex-wrap: wrap;
    justify-content: center;
    align-content: flex-start;
\t\ttext-align: center;
    transition: 0.2s;
\t}
\t
\t#tvcontent .nav-tabs > li > a .material-icons {
    position: relative;
    top: 0;
\t\tmargin: 0 5px 8px;
\t}
</style>

<div class="table-responsive block-header">
\t<table class="now-next__grid table table-striped table-hover">

''')
        for channel in VFFSL(SL,"channels",True): # generated from line 52, col 1
            channelName = VFN(VFFSL(SL,"channel.name",True),"replace",False)("'", r"\'")
            isProtected = 'protection' in VFFSL(SL,"channel",True) and VFFSL(SL,"channel.protection",True) != "0"
            write('''
\t\t<tr id="sref-''')
            _v = VFN(VFFSL(SL,"channel.ref",True),"replace",False)(':', '_') # "$channel.ref.replace(':', '_')" on line 56, col 16
            if _v is not None: write(_filter(_v, rawExpr="$channel.ref.replace(':', '_')")) # from line 56, col 16.
            write('''" class="channel-list__channel">
''')
            if '1:64:' in VFFSL(SL,"channel.ref",True): # generated from line 57, col 2
                write('''\t\t\t<td colspan="100%" class="now-next__header header bg-''')
                _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 58, col 57
                if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 58, col 57.
                write('''">
\t\t\t\t<h2>''')
                _v = VFFSL(SL,"channelName",True) # '$channelName' on line 59, col 9
                if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 59, col 9.
                write('''</h2>
\t\t\t</td>
''')
            else: # generated from line 61, col 2
                if VFFSL(SL,"showPicons",True) and 'picon' in VFFSL(SL,"channel",True): # generated from line 62, col 1
                    piconHTML = '<img class="img-fluid" src="%s" alt="Channel logo" loading="lazy">' % VFFSL(SL,"channel.picon",True)
                    write('''\t\t\t<td class="now-next__picon ''')
                    _v = VFFSL(SL,"piconCssClass",True) # '$piconCssClass' on line 64, col 31
                    if _v is not None: write(_filter(_v, rawExpr='$piconCssClass')) # from line 64, col 31.
                    write('''">
\t\t\t\t<div>
''')
                    if VFFSL(SL,"isProtected",True): # generated from line 66, col 4
                        write('''\t\t\t\t\t''')
                        _v = VFFSL(SL,"piconHTML",True) # '$piconHTML' on line 67, col 6
                        if _v is not None: write(_filter(_v, rawExpr='$piconHTML')) # from line 67, col 6.
                        write('''
''')
                    else: # generated from line 68, col 4
                        write('''\t\t\t\t\t<a href="javascript:zapChannel(\'''')
                        _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 69, col 38
                        if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 69, col 38.
                        write("""', '""")
                        _v = VFFSL(SL,"channelName",True) # '$channelName' on line 69, col 54
                        if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 69, col 54.
                        write('''\');" title="''')
                        _v = VFFSL(SL,"tstrings",True)['zap_to'] # "$tstrings['zap_to']" on line 69, col 78
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['zap_to']")) # from line 69, col 78.
                        write(''' ''')
                        _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 69, col 98
                        if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 69, col 98.
                        write('''">''')
                        _v = VFFSL(SL,"piconHTML",True) # '$piconHTML' on line 69, col 113
                        if _v is not None: write(_filter(_v, rawExpr='$piconHTML')) # from line 69, col 113.
                        write('''</a>
''')
                    write('''\t\t\t\t</div>
''')
                else: # generated from line 72, col 1
                    write('''\t\t\t<td style="width:0px;">
''')
                write('''\t\t\t</td>
\t\t\t<td class="now-next__channel">
\t\t\t\t<h2 class="now-next__channel-name">
''')
                if VFFSL(SL,"isProtected",True): # generated from line 78, col 4
                    write('''\t\t\t\t\t<span class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 79, col 51
                    if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 79, col 51.
                    write('''" title="''')
                    _v = VFFSL(SL,"tstrings",True)['locked'] # "$tstrings['locked']" on line 79, col 70
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['locked']")) # from line 79, col 70.
                    write('''">''')
                    _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 79, col 91
                    if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 79, col 91.
                    write('''</span>
''')
                else: # generated from line 80, col 4
                    write('''\t\t\t\t\t<a href="javascript:zapChannel(\'''')
                    _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 81, col 38
                    if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 81, col 38.
                    write("""', '""")
                    _v = VFFSL(SL,"channelName",True) # '$channelName' on line 81, col 54
                    if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 81, col 54.
                    write('''\');" class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 81, col 110
                    if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 81, col 110.
                    write('''" title="''')
                    _v = VFFSL(SL,"tstrings",True)['zap_to'] # "$tstrings['zap_to']" on line 81, col 129
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['zap_to']")) # from line 81, col 129.
                    write(''' ''')
                    _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 81, col 149
                    if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 81, col 149.
                    write('''">''')
                    _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 81, col 164
                    if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 81, col 164.
                    write('''</a>
''')
                write('''\t\t\t\t</h2>
\t\t\t\t<div class="now-next__channel__actions">
''')
                if VFFSL(SL,"isProtected",True): # generated from line 85, col 2
                    write('''\t\t\t\t\t<span class="theme-link-col-fixed" target="_blank" title="''')
                    _v = VFFSL(SL,"tstrings",True)['locked'] # "$tstrings['locked']" on line 86, col 64
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['locked']")) # from line 86, col 64.
                    write('''"><i class="material-icons material-icons-centered">lock_outline</i></span>
''')
                else: # generated from line 87, col 2
                    if VFFSL(SL,"type",True) == "radio": # generated from line 88, col 3
                        write('''\t\t\t\t\t<!-- button type="button" onclick="addTimer(\'\',\'''')
                        _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 89, col 54
                        if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 89, col 54.
                        write("""','""")
                        _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 89, col 69
                        if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 89, col 69.
                        write('''\',\'\');" class="theme-link-col-fixed" title="''')
                        _v = VFFSL(SL,"tstrings",True)['add_timer'] # "$tstrings['add_timer']" on line 89, col 126
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['add_timer']")) # from line 89, col 126.
                        write('''"><i class="icon material-icons material-icons-centered">alarm_add</i></button -->
''')
                    write('''
\t\t\t\t\t<button type="button" onclick="zapChannel(\'''')
                    _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 92, col 49
                    if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 92, col 49.
                    write("""', '""")
                    _v = VFFSL(SL,"channelName",True) # '$channelName' on line 92, col 65
                    if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 92, col 65.
                    write('''\');" class="theme-link-col-fixed" title="''')
                    _v = VFFSL(SL,"tstrings",True)['zap_to'] # "$tstrings['zap_to']" on line 92, col 118
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['zap_to']")) # from line 92, col 118.
                    write(''' ''')
                    _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 92, col 138
                    if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 92, col 138.
                    write('''"><i class="icon material-icons material-icons-centered">settings_remote</i></button>

''')
                    if '4097:' in VFFSL(SL,"channel.ref",True): # generated from line 94, col 3
                        rname = ":" + VFFSL(SL,"channel.name",True)
                        lnk = VFN(VFN(VFFSL(SL,"channel.ref",True),"replace",False)("4097:0:0:0:0:0:0:0:0:0:", ""),"replace",False)("4097:0:1:0:0:0:0:0:0:0:", "")
                        lnk = VFN(VFN(VFFSL(SL,"lnk",True)[:VFN(VFFSL(SL,"lnk",True),"rindex",False)(':')],"replace",False)("%3a", ":"),"replace",False)("%3A", ":")
                        write('''\t\t\t\t\t<a href="''')
                        _v = VFFSL(SL,"lnk",True) # '$lnk' on line 98, col 15
                        if _v is not None: write(_filter(_v, rawExpr='$lnk')) # from line 98, col 15.
                        write('''" class="now-next__external-link theme-link-col-fixed" target="extlink" title="''')
                        _v = VFFSL(SL,"tstrings",True)['open_in_new_window'] # "$tstrings['open_in_new_window']" on line 98, col 98
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['open_in_new_window']")) # from line 98, col 98.
                        write('''"><i class="material-icons material-icons-centered">phonelink</i></a>
''')
                    else: # generated from line 99, col 3
                        epgDisabledState = ''
                        if not 'now_title' in VFFSL(SL,"channel",True): # generated from line 101, col 4
                            epgDisabledState = 'disabled'
                        write('''\t\t\t\t\t<button type="button" onclick="open_epg_dialog(\'''')
                        _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 104, col 54
                        if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 104, col 54.
                        write("""','""")
                        _v = VFFSL(SL,"channelName",True) # '$channelName' on line 104, col 69
                        if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 104, col 69.
                        write('''\');" ''')
                        _v = VFFSL(SL,"epgDisabledState",True) # '$epgDisabledState' on line 104, col 86
                        if _v is not None: write(_filter(_v, rawExpr='$epgDisabledState')) # from line 104, col 86.
                        write(''' class="theme-link-col-fixed" title="''')
                        _v = VFFSL(SL,"tstrings",True)['show_epg_for'] # "$tstrings['show_epg_for']" on line 104, col 140
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['show_epg_for']")) # from line 104, col 140.
                        write(''' ''')
                        _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 104, col 166
                        if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 104, col 166.
                        write('''" data-toggle="modal" data-target="#EPGModal"><i class="icon material-icons material-icons-centered">view_list</i></button>
\t\t\t\t\t<button type="button" onclick="jumper8001(\'''')
                        _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 105, col 49
                        if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 105, col 49.
                        write("""', '""")
                        _v = VFFSL(SL,"channelName",True) # '$channelName' on line 105, col 65
                        if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 105, col 65.
                        write('''\');" class="theme-link-col-fixed" title="''')
                        _v = VFFSL(SL,"tstrings",True)['stream'] # "$tstrings['stream']" on line 105, col 118
                        if _v is not None: write(_filter(_v, rawExpr="$tstrings['stream']")) # from line 105, col 118.
                        write(''' ''')
                        _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 105, col 138
                        if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 105, col 138.
                        write('''"><i class="icon material-icons material-icons-centered">ondemand_video</i></button>
''')
                        if VFFSL(SL,"transcoding",True): # generated from line 106, col 4
                            write('''\t\t\t\t\t<button type="button" onclick="jumper8002(\'''')
                            _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 107, col 49
                            if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 107, col 49.
                            write("""', '""")
                            _v = VFFSL(SL,"channelName",True) # '$channelName' on line 107, col 65
                            if _v is not None: write(_filter(_v, rawExpr='$channelName')) # from line 107, col 65.
                            write('''\');" class="theme-link-col-fixed" title="''')
                            _v = VFFSL(SL,"tstrings",True)['stream'] # "$tstrings['stream']" on line 107, col 118
                            if _v is not None: write(_filter(_v, rawExpr="$tstrings['stream']")) # from line 107, col 118.
                            write(''' (''')
                            _v = VFFSL(SL,"tstrings",True)['transcoded'] # "$tstrings['transcoded']" on line 107, col 139
                            if _v is not None: write(_filter(_v, rawExpr="$tstrings['transcoded']")) # from line 107, col 139.
                            write(''') ''')
                            _v = VFFSL(SL,"channel.name",True) # '$channel.name' on line 107, col 164
                            if _v is not None: write(_filter(_v, rawExpr='$channel.name')) # from line 107, col 164.
                            write('''"><i class="icon material-icons material-icons-centered">smartphone</i></button>
''')
                write('''\t\t\t\t</div>
\t\t\t</td>
''')
                if (not VFFSL(SL,"isProtected",True)) and 'now_title' in VFFSL(SL,"channel",True): # generated from line 113, col 1
                    write('''\t\t\t<td>
\t\t\t\t<div>
\t\t\t\t\t<h2 class="now-next__title">
\t\t\t\t\t\t<a href="javascript:void(0);" onclick="loadeventepg(\'''')
                    _v = VFFSL(SL,"channel.now_ev_id",True) # '$channel.now_ev_id' on line 117, col 60
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_ev_id')) # from line 117, col 60.
                    write("""', '""")
                    _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 117, col 82
                    if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 117, col 82.
                    write("""', '""")
                    _v = VFFSL(SL,"channel.picon",True) # '$channel.picon' on line 117, col 98
                    if _v is not None: write(_filter(_v, rawExpr='$channel.picon')) # from line 117, col 98.
                    write('''\');" class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 117, col 156
                    if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 117, col 156.
                    write('''" data-ref="''')
                    _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 117, col 178
                    if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 117, col 178.
                    write('''" data-id="''')
                    _v = VFFSL(SL,"channel.now_ev_id",True) # '$channel.now_ev_id' on line 117, col 201
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_ev_id')) # from line 117, col 201.
                    write('''" data-toggle="modal" data-target="#EventModal" title="''')
                    _v = VFFSL(SL,"tstrings",True)['more_details'] # "$tstrings['more_details']" on line 117, col 274
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['more_details']")) # from line 117, col 274.
                    write('''">''')
                    _v = VFFSL(SL,"channel.now_title",True) # '$channel.now_title' on line 117, col 301
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_title')) # from line 117, col 301.
                    write('''</a>
\t\t\t\t\t\t<span class="now-next__elapsed">(+''')
                    _v = VFFSL(SL,"channel.now_left",True) # '$channel.now_left' on line 118, col 41
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_left')) # from line 118, col 41.
                    write(''' ''')
                    _v = VFFSL(SL,"tstrings",True)['mins'] # "$tstrings['mins']" on line 118, col 59
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['mins']")) # from line 118, col 59.
                    write(''')</span>
\t\t\t\t\t</h2>
\t\t\t\t\t<div class="now-next__time">
\t\t\t\t\t\t<time>''')
                    _v = VFFSL(SL,"channel.now_begin",True) # '$channel.now_begin' on line 121, col 13
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_begin')) # from line 121, col 13.
                    write('''</time> &mdash; <time>''')
                    _v = VFFSL(SL,"channel.now_end",True) # '$channel.now_end' on line 121, col 53
                    if _v is not None: write(_filter(_v, rawExpr='$channel.now_end')) # from line 121, col 53.
                    write('''</time>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="now-next__progress progress">
\t\t\t\t\t\t<div class="progress-bar bg-''')
                    _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 124, col 35
                    if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 124, col 35.
                    write(''' progress-bar-striped" role="progressbar" aria-valuenow="''')
                    _v = VFFSL(SL,"channel.progress",True) # '${channel.progress}' on line 124, col 102
                    if _v is not None: write(_filter(_v, rawExpr='${channel.progress}')) # from line 124, col 102.
                    write('''" aria-valuemin="0" aria-valuemax="100" style="width:''')
                    _v = VFFSL(SL,"channel.progress",True) # '${channel.progress}' on line 124, col 174
                    if _v is not None: write(_filter(_v, rawExpr='${channel.progress}')) # from line 124, col 174.
                    write('''%">
\t\t\t\t\t\t\t<span class="now-next__progress__percent">''')
                    _v = VFFSL(SL,"channel.progress",True) # '${channel.progress}' on line 125, col 50
                    if _v is not None: write(_filter(_v, rawExpr='${channel.progress}')) # from line 125, col 50.
                    write('''%</span>
\t\t\t\t\t\t</div>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</td>
''')
                else: # generated from line 130, col 1
                    write('''\t\t\t<td class="now-next__no-data">''')
                    _v = VFFSL(SL,"tstrings",True)['no_epg_data'] # "$tstrings['no_epg_data']" on line 131, col 34
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['no_epg_data']")) # from line 131, col 34.
                    write('''</td>
''')
                if (not VFFSL(SL,"isProtected",True)) and 'next_title' in VFFSL(SL,"channel",True): # generated from line 133, col 1
                    write('''\t\t\t<td>
\t\t\t\t<div>
\t\t\t\t\t<h2 class="now-next__title">
\t\t\t\t\t\t<a href="javascript:void(0);" onclick="loadeventepg(\'''')
                    _v = VFFSL(SL,"channel.next_ev_id",True) # '$channel.next_ev_id' on line 137, col 60
                    if _v is not None: write(_filter(_v, rawExpr='$channel.next_ev_id')) # from line 137, col 60.
                    write("""', '""")
                    _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 137, col 83
                    if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 137, col 83.
                    write("""', '""")
                    _v = VFFSL(SL,"channel.picon",True) # '$channel.picon' on line 137, col 99
                    if _v is not None: write(_filter(_v, rawExpr='$channel.picon')) # from line 137, col 99.
                    write('''\');" class="theme-link-color theme-link-col-''')
                    _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 137, col 157
                    if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 137, col 157.
                    write('''" data-ref="''')
                    _v = VFFSL(SL,"channel.ref",True) # '$channel.ref' on line 137, col 179
                    if _v is not None: write(_filter(_v, rawExpr='$channel.ref')) # from line 137, col 179.
                    write('''" data-id="''')
                    _v = VFFSL(SL,"channel.next_ev_id",True) # '$channel.next_ev_id' on line 137, col 202
                    if _v is not None: write(_filter(_v, rawExpr='$channel.next_ev_id')) # from line 137, col 202.
                    write('''" data-toggle="modal" data-target="#EventModal" title="''')
                    _v = VFFSL(SL,"tstrings",True)['more_details'] # "$tstrings['more_details']" on line 137, col 276
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['more_details']")) # from line 137, col 276.
                    write('''">''')
                    _v = VFFSL(SL,"channel.next_title",True) # '$channel.next_title' on line 137, col 303
                    if _v is not None: write(_filter(_v, rawExpr='$channel.next_title')) # from line 137, col 303.
                    write('''</a>
\t\t\t\t\t\t<span class="now-next__elapsed">(''')
                    _v = VFFSL(SL,"channel.next_duration",True) # '$channel.next_duration' on line 138, col 40
                    if _v is not None: write(_filter(_v, rawExpr='$channel.next_duration')) # from line 138, col 40.
                    write(''' ''')
                    _v = VFFSL(SL,"tstrings",True)['mins'] # "$tstrings['mins']" on line 138, col 63
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['mins']")) # from line 138, col 63.
                    write(''')</span>
\t\t\t\t\t</h2>
\t\t\t\t\t<div class="now-next__time"><time>''')
                    _v = VFFSL(SL,"channel.next_begin",True) # '$channel.next_begin' on line 140, col 40
                    if _v is not None: write(_filter(_v, rawExpr='$channel.next_begin')) # from line 140, col 40.
                    write('''</time> &mdash; <time>''')
                    _v = VFFSL(SL,"channel.next_end",True) # '$channel.next_end' on line 140, col 81
                    if _v is not None: write(_filter(_v, rawExpr='$channel.next_end')) # from line 140, col 81.
                    write('''</time></div>
\t\t\t\t\t<div>&nbsp;</div>
\t\t\t\t</div>
\t\t\t</td>
''')
                else: # generated from line 144, col 1
                    write('''\t\t\t<td colspan="2" class="now-next__no-data">''')
                    _v = VFFSL(SL,"tstrings",True)['no_epg_data'] # "$tstrings['no_epg_data']" on line 145, col 46
                    if _v is not None: write(_filter(_v, rawExpr="$tstrings['no_epg_data']")) # from line 145, col 46.
                    write('''</td>
''')
            write('''\t\t</tr>
''')
        write('''\t</table>
</div>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_channels = 'respond'

## END CLASS DEFINITION

if not hasattr(channels, '_initCheetahAttributes'):
    templateAPIClass = getattr(channels,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(channels)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=channels()).run()


