#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from Cheetah.compat import unicode
from Plugins.Extensions.OpenWebif.controllers.i18n import tstrings
from Plugins.Extensions.OpenWebif.vtiaddon import skinColor
from Plugins.Extensions.OpenWebif.controllers.models.info import getInfo, getPipStatus

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '3.2.5'
__CHEETAH_versionTuple__ = (3, 2, 5, 'final', 0)
__CHEETAH_genTime__ = 1607299981.545409
__CHEETAH_genTimestamp__ = 'Mon Dec  7 00:13:01 2020'
__CHEETAH_src__ = '/home/oe1/atv65arm/build-enviroment/builds/openatv/release/h9se/tmp/work/cortexa15hf-neon-vfpv4-oe-linux-gnueabi/enigma2-plugin-extensions-openwebif/1.3.9+gitAUTOINC+5865926c6c-r0/git/plugin/controllers/views/responsive/ajax/screenshot.tmpl'
__CHEETAH_srcLastModified__ = 'Mon Dec  7 00:12:21 2020'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class screenshot(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(screenshot, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
<div id="responsivespinnerscreenshot"></div>

<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
\t<div class="card">
\t\t<div class="header">
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-xs-12 col-sm-6">
\t\t\t\t\t<h2><i class="material-icons material-icons-centered">photo_camera</i>''')
        _v = VFFSL(SL,"tstrings",True)['screenshot'] # "$tstrings['screenshot']" on line 12, col 76
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['screenshot']")) # from line 12, col 76.
        write('''</h2>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<ul class="header-dropdown">
\t\t\t\t<li class="dropdown"><a href="javascript:void(0);"  onclick="grabScreenshot(\'auto\'); return false;" title="''')
        _v = VFFSL(SL,"tstrings",True)['refresh'] # "$tstrings['refresh']" on line 16, col 112
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['refresh']")) # from line 16, col 112.
        write('''" class="m-r-5"><i class="material-icons">autorenew</i></a>
\t\t\t\t<li class="dropdown">
\t\t\t\t<a href="javascript:void(0);" id="dropdown" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="material-icons">more_vert</i></a>
\t\t\t\t\t<ul class="dropdown-menu pull-right" id="screenshotbutton">
\t\t\t\t\t\t<li><a href="javascript:void(0);" id="screenshotbutton0" name="screenshotbutton">''')
        _v = VFFSL(SL,"tstrings",True)['all'] # "$tstrings['all']" on line 20, col 88
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['all']")) # from line 20, col 88.
        write('''</a></li>
\t\t\t\t\t\t<li><a href="javascript:void(0);" id="screenshotbutton1" name="screenshotbutton">''')
        _v = VFFSL(SL,"tstrings",True)['video'] # "$tstrings['video']" on line 21, col 88
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['video']")) # from line 21, col 88.
        write('''</a></li>
\t\t\t\t\t\t<li><a href="javascript:void(0);" id="screenshotbutton2" name="screenshotbutton">''')
        _v = VFFSL(SL,"tstrings",True)['osd'] # "$tstrings['osd']" on line 22, col 88
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['osd']")) # from line 22, col 88.
        write('''</a></li>
\t\t\t\t\t\t<li><a href="javascript:void(0);" id="screenshotbutton3" name="screenshotbutton" style="display: none;">''')
        _v = VFFSL(SL,"tstrings",True)['pip'] # "$tstrings['pip']" on line 23, col 111
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['pip']")) # from line 23, col 111.
        write('''</a></li>
\t\t\t\t\t\t<li><a href="javascript:void(0);" id="screenshotbutton4" name="screenshotbutton" style="display: none;">''')
        _v = VFFSL(SL,"tstrings",True)['lcd'] # "$tstrings['lcd']" on line 24, col 111
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['lcd']")) # from line 24, col 111.
        write('''</a></li>
\t\t\t\t\t</ul>
\t\t\t\t</li>
\t\t\t</ul>
\t\t</div>
\t\t<div class="body" >
\t\t\t<div class="row clearfix">
\t\t\t\t<img id="screenshotimage" class="img-fluid rounded" src="" alt="''')
        _v = VFFSL(SL,"tstrings",True)['loading'] # "$tstrings['loading']" on line 31, col 69
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['loading']")) # from line 31, col 69.
        write(''' ...">
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<p></p>
\t\t\t</div>
\t\t\t<div class="row clearfix">
\t\t\t\t<div class="col-md-3 col-md-offset-4 align-right">
\t\t\t\t\t<div class="switch panel-switch-btn">
\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t<span class="m-r-10 font-12">''')
        _v = VFFSL(SL,"tstrings",True)['high_resolution'] # "$tstrings['high_resolution']" on line 40, col 37
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['high_resolution']")) # from line 40, col 37.
        write('''</span>
\t\t\t\t\t\t</label>
\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t<input type="checkbox" name="ssr_hd" id="ssr_hd">
\t\t\t\t\t\t\t<span class="lever theme-switch-col switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 44, col 55
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 44, col 55.
        write('''"></span>
\t\t\t\t\t\t</label>
\t\t\t\t\t</div>
\t\t\t\t\t<div class="switch panel-switch-btn">
\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t<span class="m-r-10 font-12">''')
        _v = VFFSL(SL,"tstrings",True)['refresh_auto'] # "$tstrings['refresh_auto']" on line 49, col 37
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['refresh_auto']")) # from line 49, col 37.
        write('''
\t\t\t\t\t\t\t\t<input type="text" name="ssr_i" value="30" id="ssr_i" class="input-field" size="2">
\t\t\t\t\t\t\t\t<label>''')
        _v = VFFSL(SL,"tstrings",True)['seconds'] # "$tstrings['seconds']" on line 51, col 16
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['seconds']")) # from line 51, col 16.
        write('''</label>
\t\t\t\t\t\t\t</span>
\t\t\t\t\t\t<label>
\t\t\t\t\t\t\t<input type="checkbox" name="ssr_s" id="ssr_s">
\t\t\t\t\t\t\t<span class="lever theme-switch-col switch-col-''')
        _v = VFFSL(SL,"skinColor",True) # '$skinColor' on line 55, col 55
        if _v is not None: write(_filter(_v, rawExpr='$skinColor')) # from line 55, col 55.
        write('''"></span>
\t\t\t\t\t\t</label>
\t\t\t\t\t</div>
\t\t\t\t</div>
\t\t\t</div>
\t\t\t<div class="row clearfix align-center">
\t\t\t\t<button class="btn btn-themed waves-effect" onclick="grabScreenshot(\'auto\'); return false">''')
        _v = VFFSL(SL,"tstrings",True)['refresh'] # "$tstrings['refresh']" on line 61, col 96
        if _v is not None: write(_filter(_v, rawExpr="$tstrings['refresh']")) # from line 61, col 96.
        write('''</button>
\t\t\t</div>
\t\t</div>
\t</div>
</div>

<script>
\tvar lcd = "''')
        _v = VFFSL(SL,"getInfo",True)['lcd'] # "$getInfo['lcd']" on line 68, col 13
        if _v is not None: write(_filter(_v, rawExpr="$getInfo['lcd']")) # from line 68, col 13.
        write('''";
\tvar pip = "''')
        _v = VFFSL(SL,"getPipStatus",False)() # '$getPipStatus()' on line 69, col 13
        if _v is not None: write(_filter(_v, rawExpr='$getPipStatus()')) # from line 69, col 13.
        write('''";

\tjQuery(function() {
\t\tSSHelper.setup();
\t});

\tfunction buttonsSwitcher(pipval) {
\t\tif (parseInt(lcd)) {
\t\t\tjQuery("#screenshotbutton4, label[for=screenshotbutton4]").show();
\t\t} else {
\t\t\tjQuery("#screenshotbutton4, label[for=screenshotbutton4]").hide();
\t\t}
\t\tif (parseInt(pipval)) {
\t\t\tjQuery("#screenshotbutton3, label[for=screenshotbutton3]").show();
\t\t} else {
\t\t\tjQuery("#screenshotbutton3, label[for=screenshotbutton3]").hide();
\t\t}
\t}

\tjQuery(document).ready(function(){
\t\tbuttonsSwitcher(pip);
\t});
</script>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_screenshot = 'respond'

## END CLASS DEFINITION

if not hasattr(screenshot, '_initCheetahAttributes'):
    templateAPIClass = getattr(screenshot,
                               '_CHEETAH_templateClass',
                               Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(screenshot)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit https://cheetahtemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=screenshot()).run()


